import home from '../../api/next'

// initial state
const state = {
  error: undefined,
  items: []
}

// getters
const getters = {
  anotherItems: (state) => {
    const items = state.items
    return [`anotherItem${items.length}`, `anotherItem${items.length+1}`]
  }
}

// actions
const actions = {
  async NEXT_FETCH ({ commit }) {
    try {
      commit('NEXT_FETCH_REQUEST')
      const items = await home.fetch();
      return commit('NEXT_FETCH_SUCCESS', items);
    } catch (err) {
      commit('NEXT_FETCH_FAILURE', err.message)
    }
  }
}

// mutations
const mutations = {
  NEXT_FETCH_REQUEST (state) {

  },

  NEXT_FETCH_SUCCESS (state, items) {
    state.items = items
  },

  NEXT_FETCH_FAILURE (state, error) {
    state.error = error;
  }

  // NEXT_DESTROY (state) {
  //   state.items = []
  // }
}

export default {
  state,
  getters,
  actions,
  mutations
}
